From c902a23d9059f782581d91cc4ac8211d5897c26e Mon Sep 17 00:00:00 2001
From: Emil Renner Berthing <kernel@esmil.dk>
Date: Wed, 31 Aug 2022 22:54:07 +0200
Subject: [PATCH 34/72] riscv: dts: starfive: Mark the JH7100 as having
 non-coherent DMAs

The StarFive JH7100 SoC has non-coherent device DMAs, so mark the
soc bus as such.

Link: https://github.com/starfive-tech/JH7100_Docs/blob/main/JH7100%20Cache%20Coherence%20V1.0.pdf
Signed-off-by: Emil Renner Berthing <kernel@esmil.dk>
---
 arch/riscv/boot/dts/starfive/jh7100.dtsi | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/riscv/boot/dts/starfive/jh7100.dtsi b/arch/riscv/boot/dts/starfive/jh7100.dtsi
index 35ab54fb235f..1fe7a95caf55 100644
--- a/arch/riscv/boot/dts/starfive/jh7100.dtsi
+++ b/arch/riscv/boot/dts/starfive/jh7100.dtsi
@@ -136,6 +136,7 @@ gmac_gr_mii_rxclk: gmac_gr_mii_rxclk {
 	soc {
 		compatible = "simple-bus";
 		interrupt-parent = <&plic>;
+		dma-noncoherent;
 		#address-cells = <2>;
 		#size-cells = <2>;
 		ranges;
-- 
2.41.0


